﻿//
// Copyright (c) 2021, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace MindFusion.Scheduling.Wpf.Samples.CS.DualView
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
            InitializeComponent();

            _calendar.Culture = new System.Globalization.CultureInfo("en-US");

            // Synchronize both views
            _schedule.Schedule = _calendar.Schedule;

			// Select the current date
			_calendar.Selection.Set(DateTime.Today);


            _schedule.BeginInit();
            _schedule.Schedule.Items.Clear();

            //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> HOW TO SET _calendar cell FontWeight=Bold ??
            _schedule.Schedule.Items.Add(new Appointment() { 
				StartTime = new DateTime(2023,9, 22, 1 , 30 ,0),
				EndTime = new DateTime(2023, 9, 22, 2, 30, 0) });

            _schedule.EndInit();

        }

		void _calendar_CellPresenterCreating(object sender, CellPresenterCreatingEventArgs e)
		{
			e.CellPresenter = new CustomCellPresenter(_calendar, _schedule);
		}

		void Selection_Changed(object sender, EventArgs e)
		{
			if (_calendar.Selection.IsEmpty)
			{
				_schedule.TimetableSettings.Dates.Clear();
				return;
			}

			_schedule.BeginInit();
			_schedule.TimetableSettings.Dates.Clear();
			_schedule.TimetableSettings.Dates.Add((DateTime)_calendar.Selection.Ranges[0]);
			_schedule.EndInit();
		}
	}
}
